<?php
/**
* Noting Found Page Settings.
*
* @package Solar Energy Engine
*/

$solar_energy_engine_default = solar_energy_engine_get_default_theme_options();

$wp_customize->add_section( 'solar_energy_engine_noting_found_page_settings',
    array(
        'title'      => esc_html__( 'Nothing Found Page Settings', 'solar-energy-engine' ),
        'priority'   => 200,
        'capability' => 'edit_theme_options',
        'panel'      => 'solar_energy_engine_theme_addons_panel',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_noting_found_main_title',
    array(
        'default'           => 'Nothing Found',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_noting_found_main_title',
    array(
        'label'    => esc_html__( 'Main Title', 'solar-energy-engine' ),
        'section'  => 'solar_energy_engine_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting( 'solar_energy_engine_noting_found_para',
    array(
        'default'           => 'Sorry, but nothing matched your search terms. Please try again with some different keywords.',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control( 'solar_energy_engine_noting_found_para',
    array(
        'label'    => esc_html__( 'Para Text', 'solar-energy-engine' ),
        'section'  => 'solar_energy_engine_noting_found_page_settings',
        'type'     => 'text',
    )
);

$wp_customize->add_setting('solar_energy_engine_noting_found_saerch',
    array(
        'default' => 1,
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'solar_energy_engine_sanitize_checkbox',
    )
);
$wp_customize->add_control('solar_energy_engine_noting_found_saerch',
    array(
        'label' => esc_html__('Enable/Disable Search', 'solar-energy-engine'),
        'section' => 'solar_energy_engine_noting_found_page_settings',
        'type' => 'checkbox',
    )
);